/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumLabeltype implements EnumType {

    standard("standard"),

    int_label_interviewer("int_label_interviewer"),

    int_label_proband("int_label_proband"),

    int_label_tooltip("int_label_tooltip"),

    element_tooltip("element_tooltip");

    private final String literal;

    private EnumLabeltype(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_labeltype";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumLabeltype lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumLabeltype.class, literal);
    }
}
